Bug 175824 - Link monitor not documented for RHEL3
Link monitor not documented for RHEL3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rh-cs-en (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Kennedy
Cluster QE
http://www.redhat.com/docs/manuals/en...
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-15 10:27 EST by Paul Kennedy
Modified: 2015-04-19 20:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 16:56:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2005-12-15 10:27:50 EST
Description of problem:

Although Link Monitor was added to Red Hat Cluster Suite 3, information about
enabling it is not available. Information about setting Link Monitor should be
documented here:

http://www.redhat.com/docs/manuals/enterprise/RHEL-3-Manual/cluster-suite/s1-add-service.html#S2-CONFIG-SERVICE-IP

The feature monitors the link status of the Ethernet device to which the
relevant IP address is assigned and will return a status failure if the MII does
not report that there is a link detected.


Version-Release number of selected component (if applicable):

rh-cs(EN)-3-HTML-RHI (2004-06-04T17:42)


How reproducible:

N/A


Steps to Reproduce:

N/A


Actual results:

N/A


Expected results:

N/A


Additional info:

The following questions were asked during discovery of this bug and may need to
be documented also:

1. Is monitor links function related to only  
   usr/lib/clumanager/services/svclib_ip?
2. What is relevant IP address?  Dose it mean only service IP, right?
3. When does this monitor links function work? Does it detect link down
   all the time? Or does it only work when any service is started ?
Comment 1 Paul Kennedy 2005-12-20 12:39:08 EST
Originally, it looked like the problem could be resolved with text shown in
"Description of Problem"; however, additional questions arose. Refer to
"Additional info".

Reassigned to Lon Hohberger. Need resolution of questions listed in "Additional
info" that originally appeared in cluster-list thread.

Lon, when the questions are reconciled, please reassign back to me. Thanks.
Comment 2 Lon Hohberger 2005-12-20 16:59:32 EST
(1) Monitor links only corresponds to links on devices where cluster service IP
addresses reside.  All other system links are ignored.

(2) 'Monitor link' is a per-service-IP-address attribute, and only monitors the
link for the given service IP address.

(3) This checks on start and every time a service check ("status") run occurs. 
Service checks only occur if you have a service check interval defined.  If your
service check interval is 0, no link status monitoring occurs except at service
start.

[3.b] If multiple service IP addresses are assigned to the same network device,
the link will be checked each service IP assigned to that network device which
has the 'monitor link' option set.
Comment 3 Paul Kennedy 2006-01-06 11:12:58 EST
Updated draft and submitted for technical review. Lon, when review is complete,
please assign back to me. Thanks.
Comment 4 Lon Hohberger 2006-02-02 13:43:21 EST
The update you sent me on 1/5 looks wonderful.
Comment 5 Paul Kennedy 2006-02-02 16:27:28 EST
Thanks. When I post the change, I'll close this out.
Comment 6 Paul Kennedy 2006-02-03 18:19:47 EST
Changes checked in to CVS. Requested push to redhat.com docs page.
Comment 7 Paul Kennedy 2006-03-21 16:43:14 EST
Changed documentation is now available under the heading of "Red Hat Cluster
Suite 3" on redhat.com/docs:

http://www.redhat.com/docs/manuals/csgfs/


Comment 8 Michael Hideo 2007-06-06 01:01:58 EDT
Adding ecs-dev-list@redhat.com for wider coverage
Comment 9 Michael Hideo 2007-10-22 22:48:48 EDT
Removing automation notification
Comment 10 Paul Kennedy 2008-01-16 16:56:20 EST
Closed. As noteded earlier, updated content is available here:
http://www.redhat.com/docs/manuals/csgfs/

More specifically, updated content is here:
http://www.redhat.com/docs/manuals/csgfs/browse/rh-cs-en-3/s1-add-service.html

Note You need to log in before you can comment on or make changes to this bug.